/*===========================================================================*/
/*   (Llib/wav.scm)                                                          */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b/lib/bigloo/4.5b -safee -unsafe -srfi wav -copt  -DBGL_DUMMY -copt -fPIC -copt -IClib Llib/wav.scm -o objs/wav.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___WAV_WAV_TYPE_DEFINITIONS
#define BGL___WAV_WAV_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;

typedef struct BgL_musicinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
} *BgL_musicinfoz00_bglt;

typedef struct BgL_wavinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
   obj_t BgL_audiofmtz00;
   int BgL_byteratez00;
   int BgL_blockalignz00;
   long BgL_chunksiza7eza7;
} *BgL_wavinfoz00_bglt;

typedef struct BgL_z62wavzd2errorzb0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62wavzd2errorzb0_bglt;


#endif // BGL___WAV_WAV_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_integerzd2ze3audiozd2formatze3zz__wav_wavz00(long);
static obj_t BGl_requirezd2initializa7ationz75zz__wav_wavz00 = BUNSPEC;
static obj_t BGl_z62wavzd2parsezd2headerz62zz__wav_wavz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__wav_wavz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__wav_wavz00(void);
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__wav_wavz00(void);
static obj_t BGl_zc3z04exitza31134ze3ze70z60zz__wav_wavz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__wav_wavz00(void);
BGL_EXPORTED_DEF obj_t BGl_wavinfoz00zz__wav_wavz00 = BUNSPEC;
BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static long BGl_readzd2int16ze70z35zz__wav_wavz00(obj_t, long);
static obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__wav_wavz00(obj_t);
static obj_t BGl_wavzd2errorze70z35zz__wav_wavz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__wav_wavz00(void);
static obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__wav_wavz00(obj_t);
static obj_t BGl_z62lambda1201z62zz__wav_wavz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z62wavzd2errorzb0zz__wav_wavz00 = BUNSPEC;
static obj_t BGl_z62lambda1202z62zz__wav_wavz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31264ze3ze5zz__wav_wavz00(obj_t, obj_t);
static obj_t BGl_z62lambda1217z62zz__wav_wavz00(obj_t, obj_t);
static obj_t BGl_z62lambda1218z62zz__wav_wavz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__wav_wavz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__wav_wavz00(obj_t, obj_t);
static obj_t BGl_z62readzd2wavzd2musicinfoz62zz__wav_wavz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2musicinfozd2readerz12z12zz__multimediazd2id3zd2(obj_t);
static obj_t BGl_z62lambda1232z62zz__wav_wavz00(obj_t, obj_t);
static obj_t BGl_z62lambda1233z62zz__wav_wavz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__wav_wavz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static BgL_z62wavzd2errorzb0_bglt BGl_z62lambda1259z62zz__wav_wavz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_wavinfoz00_bglt BGl_z62lambda1180z62zz__wav_wavz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z62wavzd2errorzb0_bglt BGl_z62lambda1262z62zz__wav_wavz00(obj_t);
static BgL_wavinfoz00_bglt BGl_z62lambda1182z62zz__wav_wavz00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__wav_wavz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__wav_wavz00(void);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_musicinfoz00zz__multimediazd2id3zd2;
static obj_t BGl_gczd2rootszd2initz00zz__wav_wavz00(void);
static obj_t BGl_z62lambda1190z62zz__wav_wavz00(obj_t, obj_t);
static obj_t BGl_z62lambda1191z62zz__wav_wavz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp_at(obj_t, obj_t, long);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
BGL_EXPORTED_DECL long BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(void);
static obj_t BGl_z62wavzd2headerzd2siza7ezc5zz__wav_wavz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_wavzd2parsezd2headerz00zz__wav_wavz00(obj_t);
BGL_IMPORT obj_t BGl_mmapzd2substringzd2zz__mmapz00(obj_t, long, long);
BGL_IMPORT long BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(obj_t, long);
static obj_t __cnst[ 13 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_readzd2wavzd2musicinfozd2envzd2zz__wav_wavz00, BgL_bgl_za762readza7d2wavza7d21297za7, BGl_z62readzd2wavzd2musicinfoz62zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1265z00zz__wav_wavz00, BgL_bgl_string1265za700za7za7_1298za7, "Llib/wav.scm", 12 );
DEFINE_STRING( BGl_string1267z00zz__wav_wavz00, BgL_bgl_string1267za700za7za7_1299za7, "RIFF", 4 );
DEFINE_STRING( BGl_string1268z00zz__wav_wavz00, BgL_bgl_string1268za700za7za7_1300za7, "Illegal wav header at offset ~a", 31 );
DEFINE_STRING( BGl_string1269z00zz__wav_wavz00, BgL_bgl_string1269za700za7za7_1301za7, "Bad wav header chunksize: ~a", 28 );
DEFINE_STRING( BGl_string1270z00zz__wav_wavz00, BgL_bgl_string1270za700za7za7_1302za7, "WAVE", 4 );
DEFINE_STRING( BGl_string1271z00zz__wav_wavz00, BgL_bgl_string1271za700za7za7_1303za7, "fmt ", 4 );
DEFINE_STRING( BGl_string1272z00zz__wav_wavz00, BgL_bgl_string1272za700za7za7_1304za7, "data", 4 );
DEFINE_STRING( BGl_string1273z00zz__wav_wavz00, BgL_bgl_string1273za700za7za7_1305za7, "wav", 3 );
DEFINE_STRING( BGl_string1274z00zz__wav_wavz00, BgL_bgl_string1274za700za7za7_1306za7, "wav-parse-header", 16 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1275z00zz__wav_wavz00, BgL_bgl_za762za7c3za704anonymo1307za7, BGl_z62zc3z04anonymousza31192ze3ze5zz__wav_wavz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1276z00zz__wav_wavz00, BgL_bgl_za762lambda1191za7621308z00, BGl_z62lambda1191z62zz__wav_wavz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1277z00zz__wav_wavz00, BgL_bgl_za762lambda1190za7621309z00, BGl_z62lambda1190z62zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1278z00zz__wav_wavz00, BgL_bgl_za762za7c3za704anonymo1310za7, BGl_z62zc3z04anonymousza31203ze3ze5zz__wav_wavz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1279z00zz__wav_wavz00, BgL_bgl_za762lambda1202za7621311z00, BGl_z62lambda1202z62zz__wav_wavz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1280z00zz__wav_wavz00, BgL_bgl_za762lambda1201za7621312z00, BGl_z62lambda1201z62zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1281z00zz__wav_wavz00, BgL_bgl_za762za7c3za704anonymo1313za7, BGl_z62zc3z04anonymousza31219ze3ze5zz__wav_wavz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1282z00zz__wav_wavz00, BgL_bgl_za762lambda1218za7621314z00, BGl_z62lambda1218z62zz__wav_wavz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1283z00zz__wav_wavz00, BgL_bgl_za762lambda1217za7621315z00, BGl_z62lambda1217z62zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1284z00zz__wav_wavz00, BgL_bgl_za762za7c3za704anonymo1316za7, BGl_z62zc3z04anonymousza31234ze3ze5zz__wav_wavz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1285z00zz__wav_wavz00, BgL_bgl_za762lambda1233za7621317z00, BGl_z62lambda1233z62zz__wav_wavz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1286z00zz__wav_wavz00, BgL_bgl_za762lambda1232za7621318z00, BGl_z62lambda1232z62zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1293z00zz__wav_wavz00, BgL_bgl_string1293za700za7za7_1319za7, "", 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1287z00zz__wav_wavz00, BgL_bgl_za762za7c3za704anonymo1320za7, BGl_z62zc3z04anonymousza31184ze3ze5zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1294z00zz__wav_wavz00, BgL_bgl_string1294za700za7za7_1321za7, "0", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1288z00zz__wav_wavz00, BgL_bgl_za762lambda1182za7621322z00, BGl_z62lambda1182z62zz__wav_wavz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1295z00zz__wav_wavz00, BgL_bgl_string1295za700za7za7_1323za7, "_ &wav-error __wav_wav wavinfo elong chunksize blockalign int byterate symbol audiofmt unknown pcm ", 99 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1289z00zz__wav_wavz00, BgL_bgl_za762lambda1180za7621324z00, BGl_z62lambda1180z62zz__wav_wavz00, 0L, BUNSPEC, 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1290z00zz__wav_wavz00, BgL_bgl_za762za7c3za704anonymo1325za7, BGl_z62zc3z04anonymousza31264ze3ze5zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1291z00zz__wav_wavz00, BgL_bgl_za762lambda1262za7621326z00, BGl_z62lambda1262z62zz__wav_wavz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1292z00zz__wav_wavz00, BgL_bgl_za762lambda1259za7621327z00, BGl_z62lambda1259z62zz__wav_wavz00, 0L, BUNSPEC, 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_wavzd2headerzd2siza7ezd2envz75zz__wav_wavz00, BgL_bgl_za762wavza7d2headerza71328za7, BGl_z62wavzd2headerzd2siza7ezc5zz__wav_wavz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_wavzd2parsezd2headerzd2envzd2zz__wav_wavz00, BgL_bgl_za762wavza7d2parseza7d1329za7, BGl_z62wavzd2parsezd2headerz62zz__wav_wavz00, 0L, BUNSPEC, 1 );
DEFINE_ELONG( BGl_elong1266z00zz__wav_wavz00, BgL_bgl_elong1266za700za7za7__1330za7, 44 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__wav_wavz00) );
ADD_ROOT( (void *)(&BGl_wavinfoz00zz__wav_wavz00) );
ADD_ROOT( (void *)(&BGl_z62wavzd2errorzb0zz__wav_wavz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__wav_wavz00(long BgL_checksumz00_454, char * BgL_fromz00_455)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__wav_wavz00))
{ 
BGl_requirezd2initializa7ationz75zz__wav_wavz00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__wav_wavz00(); 
BGl_libraryzd2moduleszd2initz00zz__wav_wavz00(); 
BGl_cnstzd2initzd2zz__wav_wavz00(); 
BGl_objectzd2initzd2zz__wav_wavz00(); 
return 
BGl_toplevelzd2initzd2zz__wav_wavz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2id3zd2(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__mmapz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__bitz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__osz00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(0L, "__wav_wav"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(0L, "__wav_wav"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 15 */
{ /* Llib/wav.scm 15 */
 obj_t BgL_cportz00_404;
{ /* Llib/wav.scm 15 */
 obj_t BgL_stringz00_411;
BgL_stringz00_411 = BGl_string1295z00zz__wav_wavz00; 
{ /* Llib/wav.scm 15 */
 obj_t BgL_startz00_412;
BgL_startz00_412 = 
BINT(0L); 
{ /* Llib/wav.scm 15 */
 obj_t BgL_endz00_413;
BgL_endz00_413 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_411))); 
{ /* Llib/wav.scm 15 */

BgL_cportz00_404 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_411, BgL_startz00_412, BgL_endz00_413); } } } } 
{ 
 long BgL_iz00_405;
BgL_iz00_405 = 12L; 
BgL_loopz00_406:
if(
(BgL_iz00_405==-1L))
{ /* Llib/wav.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/wav.scm 15 */
{ /* Llib/wav.scm 15 */
 obj_t BgL_arg1296z00_407;
{ /* Llib/wav.scm 15 */

{ /* Llib/wav.scm 15 */
 obj_t BgL_locationz00_409;
BgL_locationz00_409 = 
BBOOL(((bool_t)0)); 
{ /* Llib/wav.scm 15 */

BgL_arg1296z00_407 = 
BGl_readz00zz__readerz00(BgL_cportz00_404, BgL_locationz00_409); } } } 
{ /* Llib/wav.scm 15 */
 int BgL_tmpz00_492;
BgL_tmpz00_492 = 
(int)(BgL_iz00_405); 
CNST_TABLE_SET(BgL_tmpz00_492, BgL_arg1296z00_407); } } 
{ /* Llib/wav.scm 15 */
 int BgL_auxz00_410;
BgL_auxz00_410 = 
(int)(
(BgL_iz00_405-1L)); 
{ 
 long BgL_iz00_497;
BgL_iz00_497 = 
(long)(BgL_auxz00_410); 
BgL_iz00_405 = BgL_iz00_497; 
goto BgL_loopz00_406;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(0L, 
BSTRING_TO_STRING(BGl_string1265z00zz__wav_wavz00)); 
return 
BGl_registerzd2musicinfozd2readerz12z12zz__multimediazd2id3zd2(BGl_readzd2wavzd2musicinfozd2envzd2zz__wav_wavz00);} 

}



/* wav-header-size */
BGL_EXPORTED_DEF long BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 35 */
return ((long)44);} 

}



/* &wav-header-size */
obj_t BGl_z62wavzd2headerzd2siza7ezc5zz__wav_wavz00(obj_t BgL_envz00_331)
{
{ /* Llib/wav.scm 35 */
{ /* Llib/wav.scm 35 */
 long BgL_tmpz00_503;
BgL_tmpz00_503 = 
BGl_wavzd2headerzd2siza7eza7zz__wav_wavz00(); 
return 
make_belong(BgL_tmpz00_503);} } 

}



/* integer->audio-format */
obj_t BGl_integerzd2ze3audiozd2formatze3zz__wav_wavz00(long BgL_iz00_3)
{
{ /* Llib/wav.scm 40 */
switch( BgL_iz00_3) { case 1L : 

return 
CNST_TABLE_REF(0L);break;
default: 
return 
CNST_TABLE_REF(1L);} } 

}



/* <@exit:1134>~0 */
obj_t BGl_zc3z04exitza31134ze3ze70z60zz__wav_wavz00(obj_t BgL_mmz00_403, obj_t BgL_cell1097z00_402, obj_t BgL_env1102z00_401)
{
{ /* Llib/wav.scm 50 */
jmp_buf_t jmpbuf; 
 void * BgL_an_exit1106z00_26;
if( SET_EXIT(BgL_an_exit1106z00_26 ) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  // MS: CARE 5 jan 2021: see runtime/Clib/csystem.c
  // bgl_restore_signal_handlers();
#endif

BgL_an_exit1106z00_26 = 
(void *)jmpbuf; 
PUSH_ENV_EXIT(BgL_env1102z00_401, BgL_an_exit1106z00_26, 1L); 
{ /* Llib/wav.scm 50 */
 obj_t BgL_escape1098z00_27;
BgL_escape1098z00_27 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1102z00_401); 
{ /* Llib/wav.scm 50 */
 obj_t BgL_res1109z00_28;
{ /* Llib/wav.scm 50 */
 obj_t BgL_ohs1094z00_29;
BgL_ohs1094z00_29 = 
BGL_ENV_ERROR_HANDLER_GET(BgL_env1102z00_401); 
{ /* Llib/wav.scm 50 */
 obj_t BgL_hds1095z00_30;
BgL_hds1095z00_30 = 
MAKE_STACK_PAIR(BgL_escape1098z00_27, BgL_cell1097z00_402); 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1102z00_401, BgL_hds1095z00_30); BUNSPEC; 
{ /* Llib/wav.scm 50 */
 obj_t BgL_exitd1103z00_31;
BgL_exitd1103z00_31 = 
BGL_ENV_EXITD_TOP_AS_OBJ(BgL_env1102z00_401); 
{ /* Llib/wav.scm 50 */
 obj_t BgL_tmp1105z00_32;
{ /* Llib/wav.scm 50 */
 obj_t BgL_arg1139z00_36;
BgL_arg1139z00_36 = 
BGL_EXITD_PROTECT(BgL_exitd1103z00_31); 
BgL_tmp1105z00_32 = 
MAKE_YOUNG_PAIR(BgL_ohs1094z00_29, BgL_arg1139z00_36); } 
{ /* Llib/wav.scm 50 */

BGL_EXITD_PROTECT_SET(BgL_exitd1103z00_31, BgL_tmp1105z00_32); BUNSPEC; 
{ /* Llib/wav.scm 52 */
 obj_t BgL_tmp1104z00_33;
{ /* Llib/wav.scm 52 */
 obj_t BgL_arg1136z00_34;
BgL_arg1136z00_34 = 
BGl_mmapzd2substringzd2zz__mmapz00(BgL_mmz00_403, 
(long)(0L), ((long)44)); 
BgL_tmp1104z00_33 = 
BGl_wavzd2parsezd2headerz00zz__wav_wavz00(BgL_arg1136z00_34); } 
{ /* Llib/wav.scm 50 */
 bool_t BgL_test1333z00_523;
{ /* Llib/wav.scm 50 */
 obj_t BgL_arg1796z00_206;
BgL_arg1796z00_206 = 
BGL_EXITD_PROTECT(BgL_exitd1103z00_31); 
BgL_test1333z00_523 = 
PAIRP(BgL_arg1796z00_206); } 
if(BgL_test1333z00_523)
{ /* Llib/wav.scm 50 */
 obj_t BgL_arg1794z00_207;
{ /* Llib/wav.scm 50 */
 obj_t BgL_arg1795z00_208;
BgL_arg1795z00_208 = 
BGL_EXITD_PROTECT(BgL_exitd1103z00_31); 
BgL_arg1794z00_207 = 
CDR(
((obj_t)BgL_arg1795z00_208)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1103z00_31, BgL_arg1794z00_207); BUNSPEC; }  else 
{ /* Llib/wav.scm 50 */BFALSE; } } 
BGL_ENV_ERROR_HANDLER_SET(BgL_env1102z00_401, BgL_ohs1094z00_29); BUNSPEC; 
BgL_res1109z00_28 = BgL_tmp1104z00_33; } } } } } } 
POP_ENV_EXIT(BgL_env1102z00_401); 
return BgL_res1109z00_28;} } 
}} 

}



/* &read-wav-musicinfo */
obj_t BGl_z62readzd2wavzd2musicinfoz62zz__wav_wavz00(obj_t BgL_envz00_329, obj_t BgL_mmz00_330)
{
{ /* Llib/wav.scm 48 */
{ /* Llib/wav.scm 49 */
 bool_t BgL_test1334z00_532;
{ /* Llib/wav.scm 49 */
 long BgL_a1120z00_416;
{ /* Llib/wav.scm 49 */
 obj_t BgL_tmpz00_533;
BgL_tmpz00_533 = 
((obj_t)BgL_mmz00_330); 
BgL_a1120z00_416 = 
BGL_MMAP_LENGTH(BgL_tmpz00_533); } 
{ /* Llib/wav.scm 49 */

BgL_test1334z00_532 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
make_belong(BgL_a1120z00_416), BGl_elong1266z00zz__wav_wavz00); } } 
if(BgL_test1334z00_532)
{ /* Llib/wav.scm 50 */
 obj_t BgL_env1102z00_417;
BgL_env1102z00_417 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Llib/wav.scm 50 */
 obj_t BgL_cell1097z00_418;
BgL_cell1097z00_418 = 
MAKE_STACK_CELL(BUNSPEC); 
{ /* Llib/wav.scm 50 */
 obj_t BgL_val1101z00_419;
BgL_val1101z00_419 = 
BGl_zc3z04exitza31134ze3ze70z60zz__wav_wavz00(
((obj_t)BgL_mmz00_330), BgL_cell1097z00_418, BgL_env1102z00_417); 
if(
(BgL_val1101z00_419==BgL_cell1097z00_418))
{ /* Llib/wav.scm 50 */
{ /* Llib/wav.scm 50 */
 int BgL_tmpz00_544;
BgL_tmpz00_544 = 
(int)(0L); 
BGL_SIGSETMASK(BgL_tmpz00_544); } 
{ /* Llib/wav.scm 50 */
 obj_t BgL_arg1133z00_420;
BgL_arg1133z00_420 = 
CELL_REF(
((obj_t)BgL_val1101z00_419)); 
return BFALSE;} }  else 
{ /* Llib/wav.scm 50 */
return BgL_val1101z00_419;} } } }  else 
{ /* Llib/wav.scm 49 */
return BFALSE;} } } 

}



/* wav-parse-header */
BGL_EXPORTED_DEF obj_t BGl_wavzd2parsezd2headerz00zz__wav_wavz00(obj_t BgL_bufferz00_5)
{
{ /* Llib/wav.scm 57 */
if(
bigloo_strcmp_at(BgL_bufferz00_5, BGl_string1267z00zz__wav_wavz00, 0L))
{ /* Llib/wav.scm 76 */BFALSE; }  else 
{ /* Llib/wav.scm 76 */
BGl_wavzd2errorze70z35zz__wav_wavz00(BgL_bufferz00_5, BGl_string1268z00zz__wav_wavz00, 
BINT(0L)); } 
{ /* Llib/wav.scm 79 */
 long BgL_chunksiza7eza7_47;
{ /* Llib/wav.scm 71 */
 long BgL_lz00_232; long BgL_hz00_233;
{ /* Llib/wav.scm 71 */
 long BgL_tmpz00_553;
BgL_tmpz00_553 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 4L); 
BgL_lz00_232 = 
(long)(BgL_tmpz00_553); } 
{ /* Llib/wav.scm 72 */
 long BgL_tmpz00_556;
BgL_tmpz00_556 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 
(4L+2L)); 
BgL_hz00_233 = 
(long)(BgL_tmpz00_556); } 
BgL_chunksiza7eza7_47 = 
(BgL_lz00_232+
(BgL_hz00_233 << 
(int)(16L))); } 
if(
(BgL_chunksiza7eza7_47>
(long)(0L)))
{ /* Llib/wav.scm 80 */BFALSE; }  else 
{ /* Llib/wav.scm 80 */
BGl_wavzd2errorze70z35zz__wav_wavz00(BgL_bufferz00_5, BGl_string1269z00zz__wav_wavz00, 
make_belong(BgL_chunksiza7eza7_47)); } 
if(
bigloo_strcmp_at(BgL_bufferz00_5, BGl_string1270z00zz__wav_wavz00, 8L))
{ /* Llib/wav.scm 83 */BFALSE; }  else 
{ /* Llib/wav.scm 83 */
BGl_wavzd2errorze70z35zz__wav_wavz00(BgL_bufferz00_5, BGl_string1268z00zz__wav_wavz00, 
BINT(8L)); } 
if(
bigloo_strcmp_at(BgL_bufferz00_5, BGl_string1271z00zz__wav_wavz00, 12L))
{ /* Llib/wav.scm 86 */BFALSE; }  else 
{ /* Llib/wav.scm 86 */
BGl_wavzd2errorze70z35zz__wav_wavz00(BgL_bufferz00_5, BGl_string1268z00zz__wav_wavz00, 
BINT(12L)); } 
{ /* Llib/wav.scm 88 */
 long BgL_ssiza7eza7_51;
{ /* Llib/wav.scm 71 */
 long BgL_lz00_246; long BgL_hz00_247;
{ /* Llib/wav.scm 71 */
 long BgL_tmpz00_576;
BgL_tmpz00_576 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 16L); 
BgL_lz00_246 = 
(long)(BgL_tmpz00_576); } 
{ /* Llib/wav.scm 72 */
 long BgL_tmpz00_579;
BgL_tmpz00_579 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 
(16L+2L)); 
BgL_hz00_247 = 
(long)(BgL_tmpz00_579); } 
BgL_ssiza7eza7_51 = 
(BgL_lz00_246+
(BgL_hz00_247 << 
(int)(16L))); } 
if(
(BgL_ssiza7eza7_51>
(long)(0L)))
{ /* Llib/wav.scm 89 */BFALSE; }  else 
{ /* Llib/wav.scm 89 */
BGl_wavzd2errorze70z35zz__wav_wavz00(BgL_bufferz00_5, BGl_string1269z00zz__wav_wavz00, 
make_belong(BgL_ssiza7eza7_51)); } } 
{ /* Llib/wav.scm 91 */
 long BgL_audiofmtz00_53;
BgL_audiofmtz00_53 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 20L); 
{ /* Llib/wav.scm 91 */
 long BgL_channelsz00_54;
BgL_channelsz00_54 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 22L); 
{ /* Llib/wav.scm 92 */
 long BgL_sampleratez00_55;
{ /* Llib/wav.scm 71 */
 long BgL_lz00_260; long BgL_hz00_261;
{ /* Llib/wav.scm 71 */
 long BgL_tmpz00_593;
BgL_tmpz00_593 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 24L); 
BgL_lz00_260 = 
(long)(BgL_tmpz00_593); } 
{ /* Llib/wav.scm 72 */
 long BgL_tmpz00_596;
BgL_tmpz00_596 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 
(24L+2L)); 
BgL_hz00_261 = 
(long)(BgL_tmpz00_596); } 
BgL_sampleratez00_55 = 
(BgL_lz00_260+
(BgL_hz00_261 << 
(int)(16L))); } 
{ /* Llib/wav.scm 93 */
 long BgL_byteratez00_56;
{ /* Llib/wav.scm 71 */
 long BgL_lz00_272; long BgL_hz00_273;
{ /* Llib/wav.scm 71 */
 long BgL_tmpz00_603;
BgL_tmpz00_603 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 28L); 
BgL_lz00_272 = 
(long)(BgL_tmpz00_603); } 
{ /* Llib/wav.scm 72 */
 long BgL_tmpz00_606;
BgL_tmpz00_606 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 
(28L+2L)); 
BgL_hz00_273 = 
(long)(BgL_tmpz00_606); } 
BgL_byteratez00_56 = 
(BgL_lz00_272+
(BgL_hz00_273 << 
(int)(16L))); } 
{ /* Llib/wav.scm 94 */
 long BgL_blockalignz00_57;
BgL_blockalignz00_57 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 32L); 
{ /* Llib/wav.scm 95 */
 long BgL_bpsz00_58;
BgL_bpsz00_58 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 34L); 
{ /* Llib/wav.scm 96 */
 long BgL_totalsamplez00_59;
{ /* Llib/wav.scm 97 */
 long BgL_za72za7_285;
BgL_za72za7_285 = 
(long)(BgL_blockalignz00_57); 
BgL_totalsamplez00_59 = 
(BgL_chunksiza7eza7_47/BgL_za72za7_285); } 
{ /* Llib/wav.scm 97 */
 long BgL_durationz00_60;
BgL_durationz00_60 = 
(BgL_totalsamplez00_59/BgL_sampleratez00_55); 
{ /* Llib/wav.scm 98 */

if(
bigloo_strcmp_at(BgL_bufferz00_5, BGl_string1272z00zz__wav_wavz00, 36L))
{ /* Llib/wav.scm 100 */BFALSE; }  else 
{ /* Llib/wav.scm 100 */
BGl_wavzd2errorze70z35zz__wav_wavz00(BgL_bufferz00_5, BGl_string1268z00zz__wav_wavz00, 
BINT(36L)); } 
{ /* Llib/wav.scm 102 */
 long BgL_csiza7eza7_62;
{ /* Llib/wav.scm 71 */
 long BgL_lz00_288; long BgL_hz00_289;
{ /* Llib/wav.scm 71 */
 long BgL_tmpz00_622;
BgL_tmpz00_622 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 40L); 
BgL_lz00_288 = 
(long)(BgL_tmpz00_622); } 
{ /* Llib/wav.scm 72 */
 long BgL_tmpz00_625;
BgL_tmpz00_625 = 
BGl_readzd2int16ze70z35zz__wav_wavz00(BgL_bufferz00_5, 
(40L+2L)); 
BgL_hz00_289 = 
(long)(BgL_tmpz00_625); } 
BgL_csiza7eza7_62 = 
(BgL_lz00_288+
(BgL_hz00_289 << 
(int)(16L))); } 
{ /* Llib/wav.scm 103 */
 BgL_wavinfoz00_bglt BgL_new1114z00_63;
{ /* Llib/wav.scm 104 */
 BgL_wavinfoz00_bglt BgL_new1113z00_64;
BgL_new1113z00_64 = 
((BgL_wavinfoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavinfoz00_bgl) ))); 
{ /* Llib/wav.scm 104 */
 long BgL_arg1147z00_65;
BgL_arg1147z00_65 = 
BGL_CLASS_NUM(BGl_wavinfoz00zz__wav_wavz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_64), BgL_arg1147z00_65); } 
BgL_new1114z00_63 = BgL_new1113z00_64; } 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1114z00_63)))->BgL_formatz00)=((obj_t)BGl_string1273z00zz__wav_wavz00),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1114z00_63)))->BgL_sampleratez00)=((long)
(long)(BgL_sampleratez00_55)),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1114z00_63)))->BgL_channelsz00)=((int)
(int)(BgL_channelsz00_54)),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1114z00_63)))->BgL_bpsz00)=((int)
(int)(BgL_bpsz00_58)),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1114z00_63)))->BgL_durationz00)=((long)
(long)(BgL_durationz00_60)),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1114z00_63))->BgL_audiofmtz00)=((obj_t)
BGl_integerzd2ze3audiozd2formatze3zz__wav_wavz00(BgL_audiofmtz00_53)),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1114z00_63))->BgL_byteratez00)=((int)
(int)(
(long)(BgL_byteratez00_56))),BUNSPEC); 
{ 
 int BgL_auxz00_655;
{ /* Llib/wav.scm 110 */
 long BgL_xz00_306;
BgL_xz00_306 = 
(long)(BgL_blockalignz00_57); 
BgL_auxz00_655 = 
(int)(
(long)(BgL_xz00_306)); } 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1114z00_63))->BgL_blockalignz00)=((int)BgL_auxz00_655),BUNSPEC); } 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1114z00_63))->BgL_chunksiza7eza7)=((long)BgL_chunksiza7eza7_47),BUNSPEC); 
return 
((obj_t)BgL_new1114z00_63);} } } } } } } } } } } } } 

}



/* wav-error~0 */
obj_t BGl_wavzd2errorze70z35zz__wav_wavz00(obj_t BgL_bufferz00_399, obj_t BgL_msgz00_66, obj_t BgL_offsetz00_67)
{
{ /* Llib/wav.scm 63 */
{ /* Llib/wav.scm 60 */
 BgL_z62wavzd2errorzb0_bglt BgL_arg1150z00_69;
{ /* Llib/wav.scm 60 */
 BgL_z62wavzd2errorzb0_bglt BgL_new1112z00_70;
{ /* Llib/wav.scm 60 */
 BgL_z62wavzd2errorzb0_bglt BgL_new1111z00_74;
BgL_new1111z00_74 = 
((BgL_z62wavzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62wavzd2errorzb0_bgl) ))); 
{ /* Llib/wav.scm 60 */
 long BgL_arg1162z00_75;
BgL_arg1162z00_75 = 
BGL_CLASS_NUM(BGl_z62wavzd2errorzb0zz__wav_wavz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_74), BgL_arg1162z00_75); } 
BgL_new1112z00_70 = BgL_new1111z00_74; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1112z00_70)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1112z00_70)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_670;
{ /* Llib/wav.scm 60 */
 obj_t BgL_arg1151z00_71;
{ /* Llib/wav.scm 60 */
 obj_t BgL_arg1153z00_72;
{ /* Llib/wav.scm 60 */
 obj_t BgL_classz00_214;
BgL_classz00_214 = BGl_z62wavzd2errorzb0zz__wav_wavz00; 
BgL_arg1153z00_72 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_214); } 
BgL_arg1151z00_71 = 
VECTOR_REF(BgL_arg1153z00_72,2L); } 
BgL_auxz00_670 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1151z00_71); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1112z00_70)))->BgL_stackz00)=((obj_t)BgL_auxz00_670),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1112z00_70)))->BgL_procz00)=((obj_t)BGl_string1274z00zz__wav_wavz00),BUNSPEC); 
{ 
 obj_t BgL_auxz00_678;
{ /* Llib/wav.scm 62 */
 obj_t BgL_list1154z00_73;
BgL_list1154z00_73 = 
MAKE_YOUNG_PAIR(BgL_offsetz00_67, BNIL); 
BgL_auxz00_678 = 
BGl_formatz00zz__r4_output_6_10_3z00(BgL_msgz00_66, BgL_list1154z00_73); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1112z00_70)))->BgL_msgz00)=((obj_t)BgL_auxz00_678),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1112z00_70)))->BgL_objz00)=((obj_t)BgL_bufferz00_399),BUNSPEC); 
BgL_arg1150z00_69 = BgL_new1112z00_70; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1150z00_69));} } 

}



/* read-int16~0 */
long BGl_readzd2int16ze70z35zz__wav_wavz00(obj_t BgL_bufferz00_400, long BgL_offsetz00_76)
{
{ /* Llib/wav.scm 68 */
return 
(
(
STRING_REF(BgL_bufferz00_400, BgL_offsetz00_76))+
(
(
STRING_REF(BgL_bufferz00_400, 
(BgL_offsetz00_76+1L))) << 
(int)(8L)));} 

}



/* &wav-parse-header */
obj_t BGl_z62wavzd2parsezd2headerz62zz__wav_wavz00(obj_t BgL_envz00_332, obj_t BgL_bufferz00_333)
{
{ /* Llib/wav.scm 57 */
return 
BGl_wavzd2parsezd2headerz00zz__wav_wavz00(BgL_bufferz00_333);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 15 */
{ /* Llib/wav.scm 21 */
 obj_t BgL_arg1178z00_98; obj_t BgL_arg1179z00_99;
{ /* Llib/wav.scm 21 */
 obj_t BgL_v1122z00_120;
BgL_v1122z00_120 = 
create_vector(4L); 
{ /* Llib/wav.scm 21 */
 obj_t BgL_arg1186z00_121;
BgL_arg1186z00_121 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(2L), BGl_proc1277z00zz__wav_wavz00, BGl_proc1276z00zz__wav_wavz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1275z00zz__wav_wavz00, 
CNST_TABLE_REF(3L)); 
VECTOR_SET(BgL_v1122z00_120,0L,BgL_arg1186z00_121); } 
{ /* Llib/wav.scm 21 */
 obj_t BgL_arg1193z00_134;
BgL_arg1193z00_134 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(4L), BGl_proc1280z00zz__wav_wavz00, BGl_proc1279z00zz__wav_wavz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1278z00zz__wav_wavz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1122z00_120,1L,BgL_arg1193z00_134); } 
{ /* Llib/wav.scm 21 */
 obj_t BgL_arg1210z00_147;
BgL_arg1210z00_147 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(6L), BGl_proc1283z00zz__wav_wavz00, BGl_proc1282z00zz__wav_wavz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1281z00zz__wav_wavz00, 
CNST_TABLE_REF(5L)); 
VECTOR_SET(BgL_v1122z00_120,2L,BgL_arg1210z00_147); } 
{ /* Llib/wav.scm 21 */
 obj_t BgL_arg1227z00_160;
BgL_arg1227z00_160 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(7L), BGl_proc1286z00zz__wav_wavz00, BGl_proc1285z00zz__wav_wavz00, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1284z00zz__wav_wavz00, 
CNST_TABLE_REF(8L)); 
VECTOR_SET(BgL_v1122z00_120,3L,BgL_arg1227z00_160); } 
BgL_arg1178z00_98 = BgL_v1122z00_120; } 
{ /* Llib/wav.scm 21 */
 obj_t BgL_v1123z00_173;
BgL_v1123z00_173 = 
create_vector(0L); 
BgL_arg1179z00_99 = BgL_v1123z00_173; } 
BGl_wavinfoz00zz__wav_wavz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(9L), 
CNST_TABLE_REF(10L), BGl_musicinfoz00zz__multimediazd2id3zd2, 61693L, BGl_proc1289z00zz__wav_wavz00, BGl_proc1288z00zz__wav_wavz00, BFALSE, BGl_proc1287z00zz__wav_wavz00, BFALSE, BgL_arg1178z00_98, BgL_arg1179z00_99); } 
{ /* Llib/wav.scm 27 */
 obj_t BgL_arg1239z00_180; obj_t BgL_arg1258z00_181;
{ /* Llib/wav.scm 27 */
 obj_t BgL_v1124z00_197;
BgL_v1124z00_197 = 
create_vector(0L); 
BgL_arg1239z00_180 = BgL_v1124z00_197; } 
{ /* Llib/wav.scm 27 */
 obj_t BgL_v1125z00_198;
BgL_v1125z00_198 = 
create_vector(0L); 
BgL_arg1258z00_181 = BgL_v1125z00_198; } 
return ( 
BGl_z62wavzd2errorzb0zz__wav_wavz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(11L), 
CNST_TABLE_REF(10L), BGl_z62errorz62zz__objectz00, 41504L, BGl_proc1292z00zz__wav_wavz00, BGl_proc1291z00zz__wav_wavz00, BFALSE, BGl_proc1290z00zz__wav_wavz00, BFALSE, BgL_arg1239z00_180, BgL_arg1258z00_181), BUNSPEC) ;} } 

}



/* &<@anonymous:1264> */
obj_t BGl_z62zc3z04anonymousza31264ze3ze5zz__wav_wavz00(obj_t BgL_envz00_352, obj_t BgL_new1091z00_353)
{
{ /* Llib/wav.scm 27 */
{ 
 BgL_z62wavzd2errorzb0_bglt BgL_auxz00_722;
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62wavzd2errorzb0_bglt)BgL_new1091z00_353))))->BgL_fnamez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62wavzd2errorzb0_bglt)BgL_new1091z00_353))))->BgL_locationz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)
((BgL_z62wavzd2errorzb0_bglt)BgL_new1091z00_353))))->BgL_stackz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62wavzd2errorzb0_bglt)BgL_new1091z00_353))))->BgL_procz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62wavzd2errorzb0_bglt)BgL_new1091z00_353))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)
((BgL_z62wavzd2errorzb0_bglt)BgL_new1091z00_353))))->BgL_objz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_722 = 
((BgL_z62wavzd2errorzb0_bglt)BgL_new1091z00_353); 
return 
((obj_t)BgL_auxz00_722);} } 

}



/* &lambda1262 */
BgL_z62wavzd2errorzb0_bglt BGl_z62lambda1262z62zz__wav_wavz00(obj_t BgL_envz00_354)
{
{ /* Llib/wav.scm 27 */
{ /* Llib/wav.scm 27 */
 BgL_z62wavzd2errorzb0_bglt BgL_new1090z00_422;
BgL_new1090z00_422 = 
((BgL_z62wavzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62wavzd2errorzb0_bgl) ))); 
{ /* Llib/wav.scm 27 */
 long BgL_arg1263z00_423;
BgL_arg1263z00_423 = 
BGL_CLASS_NUM(BGl_z62wavzd2errorzb0zz__wav_wavz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1090z00_422), BgL_arg1263z00_423); } 
return BgL_new1090z00_422;} } 

}



/* &lambda1259 */
BgL_z62wavzd2errorzb0_bglt BGl_z62lambda1259z62zz__wav_wavz00(obj_t BgL_envz00_355, obj_t BgL_fname1084z00_356, obj_t BgL_location1085z00_357, obj_t BgL_stack1086z00_358, obj_t BgL_proc1087z00_359, obj_t BgL_msg1088z00_360, obj_t BgL_obj1089z00_361)
{
{ /* Llib/wav.scm 27 */
{ /* Llib/wav.scm 27 */
 BgL_z62wavzd2errorzb0_bglt BgL_new1119z00_424;
{ /* Llib/wav.scm 27 */
 BgL_z62wavzd2errorzb0_bglt BgL_new1118z00_425;
BgL_new1118z00_425 = 
((BgL_z62wavzd2errorzb0_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62wavzd2errorzb0_bgl) ))); 
{ /* Llib/wav.scm 27 */
 long BgL_arg1261z00_426;
BgL_arg1261z00_426 = 
BGL_CLASS_NUM(BGl_z62wavzd2errorzb0zz__wav_wavz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1118z00_425), BgL_arg1261z00_426); } 
BgL_new1119z00_424 = BgL_new1118z00_425; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_424)))->BgL_fnamez00)=((obj_t)BgL_fname1084z00_356),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_424)))->BgL_locationz00)=((obj_t)BgL_location1085z00_357),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1119z00_424)))->BgL_stackz00)=((obj_t)BgL_stack1086z00_358),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1119z00_424)))->BgL_procz00)=((obj_t)BgL_proc1087z00_359),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1119z00_424)))->BgL_msgz00)=((obj_t)BgL_msg1088z00_360),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_new1119z00_424)))->BgL_objz00)=((obj_t)BgL_obj1089z00_361),BUNSPEC); 
return BgL_new1119z00_424;} } 

}



/* &<@anonymous:1184> */
obj_t BGl_z62zc3z04anonymousza31184ze3ze5zz__wav_wavz00(obj_t BgL_envz00_362, obj_t BgL_new1082z00_363)
{
{ /* Llib/wav.scm 21 */
{ 
 BgL_wavinfoz00_bglt BgL_auxz00_763;
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)
((BgL_wavinfoz00_bglt)BgL_new1082z00_363))))->BgL_formatz00)=((obj_t)BGl_string1293z00zz__wav_wavz00),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)
((BgL_wavinfoz00_bglt)BgL_new1082z00_363))))->BgL_sampleratez00)=((long)0L),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)
((BgL_wavinfoz00_bglt)BgL_new1082z00_363))))->BgL_channelsz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)
((BgL_wavinfoz00_bglt)BgL_new1082z00_363))))->BgL_bpsz00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)
((BgL_wavinfoz00_bglt)BgL_new1082z00_363))))->BgL_durationz00)=((long)0L),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_new1082z00_363)))->BgL_audiofmtz00)=((obj_t)
CNST_TABLE_REF(12L)),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_new1082z00_363)))->BgL_byteratez00)=((int)
(int)(0L)),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_new1082z00_363)))->BgL_blockalignz00)=((int)
(int)(0L)),BUNSPEC); 
{ 
 long BgL_auxz00_790;
{ /* Llib/wav.scm 21 */

BgL_auxz00_790 = 
BGl_stringzd2ze3elongz31zz__r4_numbers_6_5_fixnumz00(BGl_string1294z00zz__wav_wavz00, 10L); } 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_new1082z00_363)))->BgL_chunksiza7eza7)=((long)BgL_auxz00_790),BUNSPEC); } 
BgL_auxz00_763 = 
((BgL_wavinfoz00_bglt)BgL_new1082z00_363); 
return 
((obj_t)BgL_auxz00_763);} } 

}



/* &lambda1182 */
BgL_wavinfoz00_bglt BGl_z62lambda1182z62zz__wav_wavz00(obj_t BgL_envz00_364)
{
{ /* Llib/wav.scm 21 */
{ /* Llib/wav.scm 21 */
 BgL_wavinfoz00_bglt BgL_new1081z00_428;
BgL_new1081z00_428 = 
((BgL_wavinfoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavinfoz00_bgl) ))); 
{ /* Llib/wav.scm 21 */
 long BgL_arg1183z00_429;
BgL_arg1183z00_429 = 
BGL_CLASS_NUM(BGl_wavinfoz00zz__wav_wavz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1081z00_428), BgL_arg1183z00_429); } 
return BgL_new1081z00_428;} } 

}



/* &lambda1180 */
BgL_wavinfoz00_bglt BGl_z62lambda1180z62zz__wav_wavz00(obj_t BgL_envz00_365, obj_t BgL_format1072z00_366, obj_t BgL_samplerate1073z00_367, obj_t BgL_channels1074z00_368, obj_t BgL_bps1075z00_369, obj_t BgL_duration1076z00_370, obj_t BgL_audiofmt1077z00_371, obj_t BgL_byterate1078z00_372, obj_t BgL_blockalign1079z00_373, obj_t BgL_chunksiza7e1080za7_374)
{
{ /* Llib/wav.scm 21 */
{ /* Llib/wav.scm 21 */
 long BgL_samplerate1073z00_431; int BgL_channels1074z00_432; int BgL_bps1075z00_433; long BgL_duration1076z00_434; int BgL_byterate1078z00_436; int BgL_blockalign1079z00_437; long BgL_chunksiza7e1080za7_438;
BgL_samplerate1073z00_431 = 
(long)CINT(BgL_samplerate1073z00_367); 
BgL_channels1074z00_432 = 
CINT(BgL_channels1074z00_368); 
BgL_bps1075z00_433 = 
CINT(BgL_bps1075z00_369); 
BgL_duration1076z00_434 = 
(long)CINT(BgL_duration1076z00_370); 
BgL_byterate1078z00_436 = 
CINT(BgL_byterate1078z00_372); 
BgL_blockalign1079z00_437 = 
CINT(BgL_blockalign1079z00_373); 
BgL_chunksiza7e1080za7_438 = 
BELONG_TO_LONG(BgL_chunksiza7e1080za7_374); 
{ /* Llib/wav.scm 21 */
 BgL_wavinfoz00_bglt BgL_new1117z00_439;
{ /* Llib/wav.scm 21 */
 BgL_wavinfoz00_bglt BgL_new1115z00_440;
BgL_new1115z00_440 = 
((BgL_wavinfoz00_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavinfoz00_bgl) ))); 
{ /* Llib/wav.scm 21 */
 long BgL_arg1181z00_441;
BgL_arg1181z00_441 = 
BGL_CLASS_NUM(BGl_wavinfoz00zz__wav_wavz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_440), BgL_arg1181z00_441); } 
BgL_new1117z00_439 = BgL_new1115z00_440; } 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1117z00_439)))->BgL_formatz00)=((obj_t)
((obj_t)BgL_format1072z00_366)),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1117z00_439)))->BgL_sampleratez00)=((long)BgL_samplerate1073z00_431),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1117z00_439)))->BgL_channelsz00)=((int)BgL_channels1074z00_432),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1117z00_439)))->BgL_bpsz00)=((int)BgL_bps1075z00_433),BUNSPEC); 
((((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_new1117z00_439)))->BgL_durationz00)=((long)BgL_duration1076z00_434),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1117z00_439))->BgL_audiofmtz00)=((obj_t)
((obj_t)BgL_audiofmt1077z00_371)),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1117z00_439))->BgL_byteratez00)=((int)BgL_byterate1078z00_436),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1117z00_439))->BgL_blockalignz00)=((int)BgL_blockalign1079z00_437),BUNSPEC); 
((((BgL_wavinfoz00_bglt)COBJECT(BgL_new1117z00_439))->BgL_chunksiza7eza7)=((long)BgL_chunksiza7e1080za7_438),BUNSPEC); 
return BgL_new1117z00_439;} } } 

}



/* &<@anonymous:1234> */
obj_t BGl_z62zc3z04anonymousza31234ze3ze5zz__wav_wavz00(obj_t BgL_envz00_375)
{
{ /* Llib/wav.scm 21 */
return 
BINT(-1L);} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__wav_wavz00(obj_t BgL_envz00_376, obj_t BgL_oz00_377, obj_t BgL_vz00_378)
{
{ /* Llib/wav.scm 21 */
{ /* Llib/wav.scm 21 */
 long BgL_vz00_443;
BgL_vz00_443 = 
BELONG_TO_LONG(BgL_vz00_378); 
return 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_377)))->BgL_chunksiza7eza7)=((long)BgL_vz00_443),BUNSPEC);} } 

}



/* &lambda1232 */
obj_t BGl_z62lambda1232z62zz__wav_wavz00(obj_t BgL_envz00_379, obj_t BgL_oz00_380)
{
{ /* Llib/wav.scm 21 */
{ /* Llib/wav.scm 21 */
 long BgL_tmpz00_831;
BgL_tmpz00_831 = 
(((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_380)))->BgL_chunksiza7eza7); 
return 
make_belong(BgL_tmpz00_831);} } 

}



/* &<@anonymous:1219> */
obj_t BGl_z62zc3z04anonymousza31219ze3ze5zz__wav_wavz00(obj_t BgL_envz00_381)
{
{ /* Llib/wav.scm 21 */
return 
BINT(-1L);} 

}



/* &lambda1218 */
obj_t BGl_z62lambda1218z62zz__wav_wavz00(obj_t BgL_envz00_382, obj_t BgL_oz00_383, obj_t BgL_vz00_384)
{
{ /* Llib/wav.scm 21 */
{ /* Llib/wav.scm 21 */
 int BgL_vz00_446;
BgL_vz00_446 = 
CINT(BgL_vz00_384); 
return 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_383)))->BgL_blockalignz00)=((int)BgL_vz00_446),BUNSPEC);} } 

}



/* &lambda1217 */
obj_t BGl_z62lambda1217z62zz__wav_wavz00(obj_t BgL_envz00_385, obj_t BgL_oz00_386)
{
{ /* Llib/wav.scm 21 */
return 
BINT(
(((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_386)))->BgL_blockalignz00));} 

}



/* &<@anonymous:1203> */
obj_t BGl_z62zc3z04anonymousza31203ze3ze5zz__wav_wavz00(obj_t BgL_envz00_387)
{
{ /* Llib/wav.scm 21 */
return 
BINT(-1L);} 

}



/* &lambda1202 */
obj_t BGl_z62lambda1202z62zz__wav_wavz00(obj_t BgL_envz00_388, obj_t BgL_oz00_389, obj_t BgL_vz00_390)
{
{ /* Llib/wav.scm 21 */
{ /* Llib/wav.scm 21 */
 int BgL_vz00_449;
BgL_vz00_449 = 
CINT(BgL_vz00_390); 
return 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_389)))->BgL_byteratez00)=((int)BgL_vz00_449),BUNSPEC);} } 

}



/* &lambda1201 */
obj_t BGl_z62lambda1201z62zz__wav_wavz00(obj_t BgL_envz00_391, obj_t BgL_oz00_392)
{
{ /* Llib/wav.scm 21 */
return 
BINT(
(((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_392)))->BgL_byteratez00));} 

}



/* &<@anonymous:1192> */
obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__wav_wavz00(obj_t BgL_envz00_393)
{
{ /* Llib/wav.scm 21 */
return 
CNST_TABLE_REF(1L);} 

}



/* &lambda1191 */
obj_t BGl_z62lambda1191z62zz__wav_wavz00(obj_t BgL_envz00_394, obj_t BgL_oz00_395, obj_t BgL_vz00_396)
{
{ /* Llib/wav.scm 21 */
return 
((((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_395)))->BgL_audiofmtz00)=((obj_t)
((obj_t)BgL_vz00_396)),BUNSPEC);} 

}



/* &lambda1190 */
obj_t BGl_z62lambda1190z62zz__wav_wavz00(obj_t BgL_envz00_397, obj_t BgL_oz00_398)
{
{ /* Llib/wav.scm 21 */
return 
(((BgL_wavinfoz00_bglt)COBJECT(
((BgL_wavinfoz00_bglt)BgL_oz00_398)))->BgL_audiofmtz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__wav_wavz00(void)
{
{ /* Llib/wav.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
